### Method

# Camel Folder take_folder_summary

since: 3.24

#### Declaration [src]

    void
    camel_folder_take_folder_summary (
      CamelFolder* folder,
      CamelFolderSummary* summary
    )

#### Description [src]

Sets a `CamelFolderSummary` of the folder. It consumes the `summary`.

This is supposed to be called only by the descendants of the `CamelFolder` and only at the construction time. Calling this function twice yields to an error.

Available since: 3.24

#### Parameters

`summary`

  Type: `CamelFolderSummary`

  A `CamelFolderSummary`.

  The instance takes ownership of the data, and is responsible for freeing it.